package fr.uca.iut.urbandictionarylight.model

import androidx.room.Embedded
import androidx.room.Relation

data class EntryWithDefinitions(
    @Embedded val entry: Entry = Entry(),
    @Relation(
        parentColumn = "id",
        entityColumn = "entryId"
    ) val definitions: List<Definition> = listOf()
)